/**
 * 使用示例：
 * import * as demoCarMsClient from 'stc.ms.DemoCar'
 *
 * const demoCarMsClient = new demoCarMsClient.DemoCar()
 *  demoCarMsClient.fun1('aaa','bbb','ccc')
 * .catch(error => {console.log(error)})
 * .then(value => {console.log(value)})
 *
 *
 * @author 微服务平台自动生成
 * @desc [车辆服务]接口定义
 * @date 2020-03-26 13:49:33
 **/
export declare class DemoCar {
    private msId;
    private version;
    private authType;
    private serviceClient;
    constructor();
    getStcCar(carId: string): Promise<GetStcCar$Models.StcCar>;
}
export declare namespace GetStcCar$Models {
    class StcCar {
        private _ms_response_data$$$;
        constructor(value: any);
        get carId(): string;
        set carId(value: string);
        get carNum(): string;
        set carNum(value: string);
        get carColor(): string;
        set carColor(value: string);
    }
}
